package net.sourceforge.jsurveyor;
import java.util.ArrayList;

/**
 * Class to model a freetext question.
 * Doesn't do much other that what it inherits from the Question Class. It is used to be the class for the most basic question type, the freetext kind.
 * 
 * @version 1.0
 * @author Claus Methmann Christensen
 * @author Anders Spliid Hansen
 * @author Esben Iversen Hansen
 * @author Lars H Jensen
 * @author Marcus Overheu
 * @author Thomas Ramdal
 * @author Peter Thomsen
 */
public class QuestionFreeText extends Question {
	
	/**
	 * Constructor for QuestionFreeText
	 */
	public QuestionFreeText() {
		super("", true);
	}
	
	/**
	 * Constructor for QuestionFreeText
	 * @param text String
	 * @param writeable boolean
	 */
	public QuestionFreeText(String text, boolean writeable) {
		super(text, writeable);
	}

	/**
	 * Constructor for QuestionFreeText, use through DataAccess.
	 * @param questionID int
	 * @param text String
	 * @param writeable boolean
	 * @param required boolean
	 * @param depends boolean
	 * @param dependency ArrayList
	 */
	public QuestionFreeText(int questionID, String text, boolean writeable, boolean required, boolean depends, ArrayList dependency) {
		super(questionID, text, writeable, required, depends, dependency);
	}

	/**
	 * Returns the questionID prefixed with a F to represent it is a freetext.
	 * @return String
	 */
	public String toString() {
		return "F" + super.getQuestionID();
	}
	
} // end class